﻿SELECT sum(CASE WHEN annee_muta=2005 THEN 1 ELSE 0 END) AS annee_2005, 
       sum(CASE WHEN annee_muta=2006 THEN 1 ELSE 0 END) AS annee_2006, 
       sum(CASE WHEN annee_muta=2007 THEN 1 ELSE 0 END) AS annee_2007, 
       sum(CASE WHEN annee_muta=2008 THEN 1 ELSE 0 END) AS annee_2008, 
       sum(CASE WHEN annee_muta=2009 THEN 1 ELSE 0 END) AS annee_2009,
       sum(CASE WHEN annee_muta=2010 THEN 1 ELSE 0 END) AS annee_2010,
       sum(CASE WHEN annee_muta=2011 THEN 1 ELSE 0 END) AS annee_2011, 
       sum(CASE WHEN annee_muta=2012 THEN 1 ELSE 0 END) AS annee_2012, 
       sum(CASE WHEN annee_muta=2013 THEN 1 ELSE 0 END) AS annee_2013, 
       sum(CASE WHEN annee_muta=2014 THEN 1 ELSE 0 END) AS annee_2014,
       count (lib_nature) AS Total -- Tableau de résultat par année
  FROM ff_d59_2013."ADUS_mutation_dvf_gone"  -- Table DVF
  WHERE surface_te>0 -- Exclusion des terrains dont la surface est nulle
    AND valeur_fon>1 -- Exclusion des terrains dont la valeur foncière est inférieure ou égale à 1
    AND nb_local=nlocf -- Exclusion des mutations dont le nombre de locaux différe entre les fichiers fonciers et DVF
    AND nb_volume=0 -- Exclusion des mutations sans volume
    AND dcntsol+dcntbois+dcntnat+dcnteau+dcntagri+dcnt07<=surface_te -- Exclusion des terrains dont la somme des surfaces de nature de culture est supérieure à la surface totale du terrain
    AND (Id_nature_=5 OR ((id_nature_=4 OR id_nature_=6) AND (list_art_c LIKE '%1594FQA*2%' OR list_art_c LIKE '%257-7-1*2%' 
	OR list_art_c LIKE '%296-1-a-*2%' OR list_art_c LIKE '%296-1-b-*2%'))); -- Mutations dont la nature est VEFA ou mutations dont la nature est TAB ou Vente et un code CGI est une VEFA
    AND nloc_maiso=0 -- Exclusion des locaux de type Maison
    AND nloc_appt>0 -- Conservation des locaux de type Appartement
    AND nloc_act=0; -- Exclusion des locaux de type Activité économique
